package ms.warpzone.warppay.dialogs;

import android.app.Dialog;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.widget.Button;
import android.widget.TextView;

import ms.warpzone.warppay.R;
import ms.warpzone.warppay.manager.DataManager;
import ms.warpzone.warppay.manager.MainManager;
import ms.warpzone.warppay.manager.UiManager;

public class PayChoiceDialog extends Dialog implements View.OnClickListener {

    private Button btnCredit,btnCash;
    private TextView txtTotalAmountConfirm;

    public PayChoiceDialog() {
        super(MainManager.getInstance().getMainActivity());
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.pay_choice_dialog);


        btnCredit = (Button) findViewById(R.id.btnCredit);
        btnCash = (Button) findViewById(R.id.btnCash);


        txtTotalAmountConfirm = (TextView) findViewById(R.id.txtTotalAmountConfirm);
        txtTotalAmountConfirm.setText("Gesamtbetrag: "+String.valueOf(DataManager.getInstance().getTotalAmount())+" Euro");

        btnCredit.setOnClickListener(this);
        btnCash.setOnClickListener(this);

        if(DataManager.getInstance().getIs_guest())
            btnCredit.setEnabled(false);
    }

    @Override
    public void onClick(View v) {
        MainManager.getInstance().startTimer();
        switch (v.getId()) {
            case R.id.btnCredit:
                MainManager.getInstance().performPayment(false);
                break;
            case R.id.btnCash:
                MainManager.getInstance().performPayment(true);
                break;

            default:
                break;
        }

        dismiss();
    }
}
